[ubuntu/focal-security] vim 2:8.1.2269-1ubuntu5.4 (Accepted)

Spyros Seimenis spyros.seimenis at canonical.com
Mon Nov 15 13:39:09 UTC 2021


vim (2:8.1.2269-1ubuntu5.4) focal-security; urgency=medium

  * SECURITY UPDATE: Fix heap-based buffer overflow when buffer name is very
    long
    - debian/patches/CVE-2021-3872.patch: Make sure not to go over the end of
      the buffer in src/drawscreen.c, src/testdir/test_statusline.vim.
    - CVE-2021-3872
  * SECURITY UPDATE: Fix heap-based buffer overflow when scrolling without a
    valid screen
    - debian/patches/CVE-2021-3903.patch: Do not set VALID_BOTLINE in w_valid
      in src/move.c, src/testdir/test_normal.vim.
    - CVE-2021-3903
  * SECURITY UPDATE: Fix heap-based buffer overflow when reading character
    past end of line
    - debian/patches/CVE-2021-3927.patch: Correct the cursor column in
      src/ex_docmd.c, src/testdir/test_put.vim.
    - CVE-2021-3927
  * SECURITY UPDATE: Fix stack-based buffer overflow when reading
    uninitialized memory when giving spell suggestions
    - debian/patches/CVE-2021-3928.patch: Check that preword is not empty in
      src/spellsuggest.c, src/testdir/test_spell.vim.
    - CVE-2021-3928
  * Fix flaky vim terminal mode test

Date: 2021-11-11 14:39:09.848591+00:00
Changed-By: Spyros Seimenis <spyros.seimenis at canonical.com>
https://launchpad.net/ubuntu/+source/vim/2:8.1.2269-1ubuntu5.4
-------------- next part --------------
Sorry, changesfile not available.


More information about the Focal-changes mailing list